$( document ).ready(function() {
$( "button#CalculateButton1" ).click(function() {
  var FocalLenght = $( "#focal-lenght" ).val();
  var Aperture = $( "#aperture" ).val();
  var CoC = $( "#coc" ).val();
  
  var HyperfocalDistance = Math.round(( FocalLenght * FocalLenght ) / ( Aperture * CoC )) / 1000;
  
  $( "#manual-hyperfocal span" ).text( HyperfocalDistance );
});
});

$( document ).ready(function() {
  $( "select#aperture-preset" ).change(function() {    
    RenderResult();
  });
  
  $( "select#coc-preset" ).change(function() {    
    RenderResult();
  });
  
  $( "select#focal-lenght-preset" ).change(function() {    
    RenderResult();
  });
  
  RenderResult();
});

function RenderResult() {
  var AperturePreset = parseFloat( $( "select#aperture-preset" ).val() );
  var CoCPreset = $( "select#coc-preset" ).val();
  var FocalLenghtPreset = $( "select#focal-lenght-preset" ).val();
  
  
  var HyperfocalDistancePreset =  Math.round( ( FocalLenghtPreset * FocalLenghtPreset ) / ( AperturePreset * CoCPreset )    )  / 1000;
  
  $( "#preset-hyperfocal span" ).text( HyperfocalDistancePreset );
}



document.addEventListener('DOMComponentsLoaded', function() {
  
  var deck = document.querySelector('x-deck');
  var firstTab = document.querySelector('x-tabbar-tab');
  deck.showCard(0);
  firstTab.select();

  // Install logic
  // If the app has already been installed, we don't do anything.
  // Otherwise we'll show the button, and hide it when/if the user installs the app.
  var installButton = document.getElementById('install');
  var manifestPath = AppInstall.guessManifestPath();

  if(AppInstall.isInstallable()) {

    // checking for app installed is an asynchronous process
    AppInstall.isInstalled(manifestPath, function isInstalledCb(err, result) {

      if(!err && !result) {

        // No errors, and the app is not installed, so we can show the install button,
        // and set up the click handler as well.
        installButton.classList.remove('hidden');

        installButton.addEventListener('click', function() {

          AppInstall.install(manifestPath, function(err) {
            if(!err) {
              installButton.classList.add('hidden');
            } else {
              alert('The app cannot be installed: ' + err);
            }
          });

        }, false);

      }

    });

  }


});


